//
//  VibratorDemoApp.swift
//  VibratorDemo
//
//  Created by Apps4World on 1/8/22.
//

import SwiftUI
import VibratorKit

@main
struct VibratorDemoApp: App {
    
    // MARK: - Main rendering function
    var body: some Scene {
        WindowGroup {
            ContentView().onAppear {
                DispatchQueue.main.asyncAfter(deadline: .now() + 0.5) {
                    VibratorConfigurator.configure(purchaseCode: "demo", rootController: UIApplication.shared.windows.first?.rootViewController)
                }
            }
        }
    }
}
